GDCM: gdcm::DirectionCosines Class Reference

GDCM 3.2.11

Public Member Functions | Static Public Member Functions | List of all members
gdcm::DirectionCosines Class Reference

class to handle DirectionCosines More...

`#include <gdcmDirectionCosines.h>`

## Public Member Functions
| DirectionCosines ()
| DirectionCosines (const double dircos[6])
| ~DirectionCosines ()=default
double | ComputeDistAlongNormal (const double ipp[3]) const
| Compute the distance along the normal.
void | Cross (double z[3]) const
| Compute Cross product.
double | CrossDot (DirectionCosines const &dc) const
| Compute the Dot product of the two cross vector of both DirectionCosines object.
double | Dot () const
| Compute Dot.
bool | IsValid () const
| Return whether or not this is a valid direction cosines.
void | Normalize ()
| Normalize in-place.
| operator const double * () const
| Make the class behave like a const double *.
void | Print (std::ostream &) const
| Print.
bool | SetFromString (const char *str)

## Static Public Member Functions
static double | Distance (const double x[3], const double y[3])
| Compute Distance.
static double | Dot (const double x[3], const double y[3])
| Compute Dot.
static double | Norm (const double v[3])
| Return norm of the vector.
static void | Normalize (double v[3])
| Normalize in-place.

## Detailed Description

class to handle DirectionCosines

Examples
  DiscriminateVolume.cxx.

## Constructor & Destructor Documentation

## ◆ DirectionCosines() [1/2]

gdcm::DirectionCosines::DirectionCosines | ( |  | ) |

Referenced by CrossDot().

## ◆ DirectionCosines() [2/2]

gdcm::DirectionCosines::DirectionCosines | ( | const double | dircos[6] | ) |

## ◆ ~DirectionCosines()

gdcm::DirectionCosines::~DirectionCosines | ( |  | ) |
| default

## Member Function Documentation

## ◆ ComputeDistAlongNormal()

double gdcm::DirectionCosines::ComputeDistAlongNormal | ( | const double | ipp[3] | ) | const

Compute the distance along the normal.

## ◆ Cross()

void gdcm::DirectionCosines::Cross | ( | double | z[3] | ) | const

Compute Cross product.

## ◆ CrossDot()

double gdcm::DirectionCosines::CrossDot | ( | DirectionCosines const & | dc | ) | const

Compute the Dot product of the two cross vector of both DirectionCosines object.

Examples
  DiscriminateVolume.cxx.

References DirectionCosines().

## ◆ Distance()

double gdcm::DirectionCosines::Distance | ( | const double | x[3],
|  | const double | y[3] )
| static

Compute Distance.

## ◆ Dot() [1/2]

double gdcm::DirectionCosines::Dot | ( |  | ) | const

Compute Dot.

## ◆ Dot() [2/2]

double gdcm::DirectionCosines::Dot | ( | const double | x[3],
|  | const double | y[3] )
| static

Compute Dot.

## ◆ IsValid()

bool gdcm::DirectionCosines::IsValid | ( |  | ) | const

Return whether or not this is a valid direction cosines.

## ◆ Norm()

double gdcm::DirectionCosines::Norm | ( | const double | v[3] | ) |
| static

Return norm of the vector.

## ◆ Normalize() [1/2]

void gdcm::DirectionCosines::Normalize | ( |  | ) |

Normalize in-place.

## ◆ Normalize() [2/2]

void gdcm::DirectionCosines::Normalize | ( | double | v[3] | ) |
| static

Normalize in-place.

## ◆ operator const double *()

gdcm::DirectionCosines::operator const double * | ( |  | ) | const
| inline

Make the class behave like a const double *.

## ◆ Print()

void gdcm::DirectionCosines::Print | ( | std::ostream & |  | ) | const

Print.

## ◆ SetFromString()

bool gdcm::DirectionCosines::SetFromString | ( | const char * | str | ) |

Initialize from string str. It requires 6 floating point separated by a backslash character.

Examples
  DiscriminateVolume.cxx.

The documentation for this class was generated from the following file:

- gdcmDirectionCosines.h